After upgrade to 15.04, unable to boot with maas installed running systemd

Bug #1446699 reported by James Tunnicliffe on 2015-04-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MAAS
Critical
Andres Rodriguez

Bug Description

During install systemd crashes:
https://pastebin.canonical.com/129999/

After install, which takes a very long time because each package after systemd crashes causes "Failed to execute operation: Activation of org.freedesktop.systemd1 timed out", a reboot results in systemd crashing with "systemd[1]: Freezing execution.". One boot I got a bit more:

systemd[1]: Assertion 'current[*l + 1] == quotechars[0]' failed at ../src/shared/util.c:583, function split(). Aborting.

If I boot using upstart everything is fine. I did have to dpkg-reconfigure maas-dns before it would start (I did all the other maas packages as well, just in case). I now have the web UI up. Before I reconfigured maas-dns I was getting rndc problems from bind. I expect the secret needed re-generating.

If I remove maas* then I can boot with systemd as my init system. Re-installing maas causes the exact same failure again.

I am running maas from http://ppa.launchpad.net/maas-maintainers/experimental/ubuntu vivid until it gets merged into the main repo.

Related branches

Andres Rodriguez (andreserl) wrote :

Executing /usr/sbin/update-rc.d isc-dhcp-server defaults
insserv: warning: current start runlevel(s) (empty) of script `isc-dhcp-server' overrides LSB defaults (2 3 4 5).
insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `isc-dhcp-server' overrides LSB defaults (0 1 6).
Executing /usr/sbin/update-rc.d isc-dhcp-server disable
insserv: warning: current start runlevel(s) (empty) of script `isc-dhcp-server' overrides LSB defaults (2 3 4 5).
insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `isc-dhcp-server' overrides LSB defaults (0 1 6).

Broadcast message from systemd-journald@homework2 (Tue 2015-04-21 14:51:05 BST):

systemd[1]: Caught <ABRT>, dumped core as pid 3712.

This seems like isc-dhcp-server

James Tunnicliffe (dooferlad) wrote :

I removed isc-dhcp-server, which took with it maas-dhcp and maas-cluster-controller. That works fine with systemd (rebooted OK). Then installed isc-dhcp-server, which was fine (including reboot test), then tried maas-dhcp, which killed systemd:

dooferlad@homework2:~$ sudo apt-get install maas-dhcp
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed
  maas-dhcp
0 to upgrade, 1 to newly install, 0 to remove and 0 not to upgrade.
Need to get 0 B/21.9 kB of archives.
After this operation, 90.1 kB of additional disk space will be used.
Selecting previously unselected package maas-dhcp.
(Reading database ... 357007 files and directories currently installed.)
Preparing to unpack .../maas-dhcp_1.8.0~beta3+bzr3825-0ubuntu1~vivid1_all.deb ...
Unpacking maas-dhcp (1.8.0~beta3+bzr3825-0ubuntu1~vivid1) ...
Processing triggers for ureadahead (0.100.0-19) ...
Setting up maas-dhcp (1.8.0~beta3+bzr3825-0ubuntu1~vivid1) ...
Synchronizing state for isc-dhcp-server.service with sysvinit using update-rc.d...
Executing /usr/sbin/update-rc.d isc-dhcp-server defaults
insserv: warning: current start runlevel(s) (empty) of script `isc-dhcp-server' overrides LSB defaults (2 3 4 5).
insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `isc-dhcp-server' overrides LSB defaults (0 1 6).
Executing /usr/sbin/update-rc.d isc-dhcp-server disable
insserv: warning: current start runlevel(s) (empty) of script `isc-dhcp-server' overrides LSB defaults (2 3 4 5).
insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `isc-dhcp-server' overrides LSB defaults (0 1 6).

Broadcast message from systemd-journald@homework2 (Wed 2015-04-22 14:34:44 BST):

systemd[1]: Caught <ABRT>, dumped core as pid 3643.

Broadcast message from systemd-journald@homework2 (Wed 2015-04-22 14:34:44 BST):

systemd[1]: Freezing execution.

Failed to execute operation: Connection reset by peer
Failed to execute operation: Connection timed out

Changed in maas:
assignee: nobody → Andres Rodriguez (andreserl)
importance: Undecided → Critical
status: New → In Progress
status: In Progress → Fix Committed
James Tunnicliffe (dooferlad) wrote :

Looks good.

I needed to do "sudo dpkg-reconfigure maas-dns" to get MAAS working again. I was getting a persistent MAAS starting up message on the web UI. /var/log/maas/regiond.log contained:

2015-04-23 08:30:01 [maasserver.start_up] ERROR: Error during start-up.
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/maasserver/start_up.py", line 84, in start_up
    yield deferToThread(inner_start_up)
ExternalProcessError: Command `rndc -c /etc/bind/maas/rndc.conf.maas reload` returned non-zero exit status 1:
rndc: connect failed: 127.0.0.1#954: connection refused

There are a couple of warnings when reconfiguring maas-dns, but it worked:
dooferlad@homework2:/var/log$ sudo dpkg-reconfigure maas-dns
2015-04-23 08:32:15 [py.warnings] WARNING: /usr/lib/python2.7/dist-packages/twisted/internet/endpoints.py:30: DeprecationWarning: twisted.internet.interfaces.IStreamClientEndpointStringParser was deprecated in Twisted 14.0.0: This interface has been superseded by IStreamClientEndpointStringParserWithReactor.
  from twisted.internet.interfaces import (

2015-04-23 08:32:15 [py.warnings] WARNING: /usr/lib/python2.7/dist-packages/twisted/internet/endpoints.py:30: DeprecationWarning: twisted.internet.interfaces.IStreamClientEndpointStringParser was deprecated in Twisted 14.0.0: This interface has been superseded by IStreamClientEndpointStringParserWithReactor.
  from twisted.internet.interfaces import (

I am now getting some node deployment errors, but they are a different bug.

Jared Greenwald (jetsaredim) wrote :

Can you please explain how to fix this? I've just upgraded my system to 15.04 and hit this, but I can't seem to get the system to boot past the "Freezing execution" error... Is there a way to fix this from the livecd or something?

James Tunnicliffe (dooferlad) wrote :

You don't need a live CD, but, if you are running a desktop OS, you need to be fast with shift keys on boot to get to the grub menu:

https://help.ubuntu.com/community/Grub2#Boot_Display_Behavior
https://wiki.ubuntu.com/RecoveryMode

I typically hammer both shift keys on my keyboard as the BIOS finishes and hope if I have forgotten to change my GRUB config over to one with a visible menu. YMMV.

Hopefully the recovery mode with networking enabled will work for you so you can remove the MAAS PPA that you are using and switch over to https://launchpad.net/~maas/+archive/ubuntu/stable (ppa:maas/stable). If you can't get booted with networking support uninstall isc-dhcp-server and maas-dhcp, which will get you a bootable system, then boot and do the PPA switch over.

Changed in maas:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers